<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">
    <title>API Veille</title>
</head>
<body>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <div class="container">
        <div class="row">
            <h1 id="title"></h1>
            <li> date :  <span id="date"></span></li>
            <li> type :  <span id="type"></span></li>
            <li> description : <span id="description"></span></li>
            <li> link : <span id="link"></span></li>
            <li> firstname : <span id="firstname"></span></li>
            <li>  filename :  <span id="filename"></span></li>
            <li> filetext : <span id="fileext"></span></li>
            <div class="col-md-10">
                <script>
                for (var i = 0; i < title.count; i++) {
                "<button class='btn btn-default'>";
            }
                </script>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        var veilles = [];
        function jsoncallback(data) {
            veilles = data.veilles;
            veilles.forEach(
                function (veille) {
                    $("#mySelect")
                });
            console.log(veilles);
        }
        function myFunction() {
            var x = document.getElementById('mySelect').value;
            $("#id").text(veilles[x].id);
            $("#title").text(veilles[x].title);
            $("#date").text(veilles[x].date);
            $("#type").text(veilles[x].type);
            $("#description").text(veilles[x].description);
            $("#link").text(veilles[x].link)
            $("#id_user").text(veilles[x].id_user);
            $("#firstname").text(veilles[x].firstname);
            $("#filename").text(veilles[x].filename);
            $("#fileext").text(veilles[x].fileext);
        }
        //$("#name").text(JSON.parse(data.responseText).veille.firstname);
        $(document).ready(function () {
            $.getJSON("http://veille.popschool.fr/api/?api=veille&action=getAll", jsoncallback);
        });
    </script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
</body>
</html>
